/**
 * @file
 * Navbar filter js file.
 */

(function ($) {
  Drupal.behaviors.navbar_filter = {
    attach: function () {
      $('.navbar-filter').keyup(function () {
        var thisvalue = $(this).val().toLowerCase();
        var menu_ul = $(this).parent('.form-item').siblings('.navbar-menu');
        var compatibleKeys = {level1: 'navbar-level-1', level2: 'navbar-level-2'};
        if(menu_ul.length <= 0) {
          /* Below works on navbar 7.x-1.0-alpha10+8-dev. */
          menu_ul = $(this).parent('.form-item').siblings('.menu');
          if(menu_ul.length > 0) {
            compatibleKeys.level1 = 'level-1';
            compatibleKeys.level2 = 'level-2';
          }
        }
        if (thisvalue.length === 0) {
          menu_ul.find('ul, li').removeClass('open');
          menu_ul.find('a').show();
        }
        else {
          menu_ul.find('li').removeClass('open');
          menu_ul.find('a').each(function () {
            // Close all submenu.
            var a_text = $(this).text().toLowerCase();
            var match = a_text.match(thisvalue);
            if (match !== null && match.length > 0) {
              $(this).show();
              $(this).parents('li.' + compatibleKeys.level1).find('a').eq(0).show();
              $(this).parents('li.' + compatibleKeys.level2).find('a').eq(0).show();
              $(this).parents('li.' + compatibleKeys.level1).addClass('open');
              $(this).parents('li.' + compatibleKeys.level2).addClass('open');
            }
            else {
              $(this).hide();
            }
          });
        }
      });
    }
  };
})(jQuery);
